Countries
Bulk update company countries
Update tax settings for multiple company country configurations. Selecting avalara requires an active Avalara environment, either sandbox or production; otherwise the update returns 422.
PATCH
/
api
/
settings
/
company_countries
/
bulk_update
Bulk update company countries
curl --request PATCH \
--url https://api.fluid.app/api/settings/company_countries/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_country_ids": [
48213,
48214
],
"tax_class": "avalara"
}
'import requests
url = "https://api.fluid.app/api/settings/company_countries/bulk_update"
payload = {
"company_country_ids": [48213, 48214],
"tax_class": "avalara"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_country_ids: [48213, 48214], tax_class: 'avalara'})
};
fetch('https://api.fluid.app/api/settings/company_countries/bulk_update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_countries": [
{
"id": 48213,
"currency": "USD",
"base_shipping": "7.95",
"default": true,
"pause_incomplete_enrollment": false,
"handling_fee": 2.5,
"updated_at": "2026-09-14T15:32:08Z",
"settlement_currency": "USD",
"entity_legally_registered": true,
"tax_inclusive_pricing": null,
"tax_name": null,
"payment_method_priority": null,
"country_defaults": {
"tax_inclusive": false,
"tax_name": null
},
"country": {
"id": 214,
"name": "United States",
"iso": "US",
"tax_enabled": true,
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"iso_name": "UNITED STATES",
"iso3": "USA",
"currency_code": "USD",
"currency_symbol": "$",
"province_required": true,
"tax_standard_rate": null
},
"entity": null,
"tax_apply": false,
"tax_business_id": null,
"tax_apply_discounted_rates": false,
"tax_auto_send_invoice": false,
"apply_shipping_tax": true,
"avalara_shipping_tax_code": "FR020100",
"customs": null,
"use_company_default_tax_settings": true,
"use_company_avalara_tax_settings": false,
"use_company_manual_tax_settings": false,
"use_company_webhook_tax_settings": false,
"use_custom_avalara_tax_settings": false,
"custom_avalara_user_name": null,
"custom_avalara_password": null,
"use_custom_avalara_product_tax_code": false,
"tax_option": null,
"tax_strategy": null,
"tax_class": "avalara",
"effective_tax_class": "avalara",
"avalara_commit_enabled": false,
"tax_callback_registration_id": null,
"tax_callback_registration": null
},
{
"id": 48214,
"currency": "CAD",
"base_shipping": "7.95",
"default": false,
"pause_incomplete_enrollment": false,
"handling_fee": 4,
"updated_at": "2026-09-14T15:32:08Z",
"settlement_currency": "USD",
"entity_legally_registered": true,
"tax_inclusive_pricing": null,
"tax_name": null,
"payment_method_priority": null,
"country_defaults": {
"tax_inclusive": false,
"tax_name": null
},
"country": {
"id": 38,
"name": "Canada",
"iso": "CA",
"tax_enabled": true,
"price_inclusive_of_tax": false,
"price_inclusive_tax_name": null,
"iso_name": "CANADA",
"iso3": "CAN",
"currency_code": "CAD",
"currency_symbol": "$",
"province_required": true,
"tax_standard_rate": null
},
"entity": null,
"tax_apply": false,
"tax_business_id": null,
"tax_apply_discounted_rates": false,
"tax_auto_send_invoice": false,
"apply_shipping_tax": true,
"avalara_shipping_tax_code": "FR020100",
"customs": null,
"use_company_default_tax_settings": true,
"use_company_avalara_tax_settings": false,
"use_company_manual_tax_settings": false,
"use_company_webhook_tax_settings": false,
"use_custom_avalara_tax_settings": false,
"custom_avalara_user_name": null,
"custom_avalara_password": null,
"use_custom_avalara_product_tax_code": false,
"tax_option": null,
"tax_strategy": null,
"tax_class": "avalara",
"effective_tax_class": "avalara",
"avalara_commit_enabled": false,
"tax_callback_registration_id": null,
"tax_callback_registration": null
}
],
"meta": {
"request_id": "c4f1b9e2-7a3d-4e8b-9f21-5d6a0b3e8c47",
"timestamp": "2026-09-14T15:32:08Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Body
application/json
Company country IDs and tax settings to apply.
⌘I
Bulk update company countries
